import {adminOAuth2ClientActionNameSpace} from "@admin/oauth2-client/stores/admin-oauth2-client.action";
import {
  AdminOAuth2ClientState,
  AdminOAuth2ClientStateModel,
} from "@admin/oauth2-client/stores/admin-oauth2-client.state";
import {
  ChangeDetectionStrategy,
  ChangeDetectorRef,
  Component,
  Injector,
  OnInit,
  ViewChild,
} from "@angular/core";
import {Oauth2Client} from "@models";
import {
  Actions,
  Select,
  Store,
} from "@ngxs/store";
import {StateEnum} from "@shared/enums/state.enum";
import {sharedOauth2ClientActionNameSpace} from "@shared/stores/oauth-2-client/shared-oauth-2-client.action";
import {Observable} from "rxjs";
import {
  AbstractCreateRoutable,
  AbstractFormPresentational,
  ResourceNameSpace,
} from "solidify-frontend";

@Component({
  selector: "dlcm-admin-oauth2-create-routable",
  templateUrl: "./admin-oauth2-client-create.routable.html",
  styleUrls: ["./admin-oauth2-client-create.routable.scss"],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class AdminOauth2ClientCreateRoutable extends AbstractCreateRoutable<Oauth2Client, AdminOAuth2ClientStateModel> implements OnInit {
  @Select(AdminOAuth2ClientState.isLoadingWithDependency) isLoadingWithDependencyObs: Observable<boolean>;
  @Select(AdminOAuth2ClientState.isReadyToBeDisplayedInCreateMode) isReadyToBeDisplayedInCreateModeObs: Observable<boolean>;

  override checkAvailableResourceNameSpace: ResourceNameSpace = sharedOauth2ClientActionNameSpace;

  @ViewChild("formPresentational")
  readonly formPresentational: AbstractFormPresentational<Oauth2Client>;

  constructor(protected readonly _store: Store,
              protected readonly _actions$: Actions,
              protected readonly _changeDetector: ChangeDetectorRef,
              protected readonly _injector: Injector) {
    super(_store, _actions$, _changeDetector, StateEnum.admin_oauth2Client, _injector, adminOAuth2ClientActionNameSpace, StateEnum.admin);
  }

  ngOnInit(): void {
    super.ngOnInit();
  }
}
