import {AdminArchiveAclState} from "@admin/archive-acl/stores/admin-archive-acl.state";
import {
  AdminDisseminationPolicyState,
  AdminDisseminationPolicyStateModel,
} from "@admin/dissemination-policy/stores/admin-dissemination-policy.state";
import {
  AdminFundingAgenciesState,
  AdminFundingAgenciesStateModel,
} from "@admin/funding-agencies/stores/admin-funding-agencies.state";
import {
  AdminIndexFieldAliasState,
  AdminIndexFieldAliasStateModel,
} from "@admin/index-field-alias/stores/admin-index-field-alias.state";
import {
  AdminInstitutionState,
  AdminInstitutionStateModel,
} from "@admin/institution/stores/admin-institution.state";
import {
  AdminLanguageState,
  AdminLanguageStateModel,
} from "@admin/language/stores/admin-language.state";
import {
  AdminLicenseState,
  AdminLicenseStateModel,
} from "@admin/license/stores/admin-license.state";
import {
  AdminMetadataTypeState,
  AdminMetadataTypeStateModel,
} from "@admin/metadata-type/stores/admin-metadata-type.state";
import {
  AdminNotificationState,
  AdminNotificationStateModel,
} from "@admin/notification/stores/admin-notification.state";
import {
  AdminOaiSetState,
  AdminOaiSetStateModel,
} from "@admin/oai-set/stores/admin-oai-set.state";
import {
  AdminOAuth2ClientState,
  AdminOAuth2ClientStateModel,
} from "@admin/oauth2-client/stores/admin-oauth2-client.state";
import {
  AdminOrganizationalUnitState,
  AdminOrganizationalUnitStateModel,
} from "@admin/organizational-unit/stores/admin-organizational-unit.state";
import {
  AdminPersonState,
  AdminPersonStateModel,
} from "@admin/person/stores/admin-person.state";
import {
  AdminPreservationPolicyState,
  AdminPreservationPolicyStateModel,
} from "@admin/preservation-policy/stores/admin-preservation-policy.state";
import {
  AdminResearchDomainState,
  AdminResearchDomainStateModel,
} from "@admin/research-domain/stores/admin-research-domain.state";
import {
  AdminRoleState,
  AdminRoleStateModel,
} from "@admin/role/stores/admin-role.state";
import {
  AdminSubmissionPolicyState,
  AdminSubmissionPolicyStateModel,
} from "@admin/submission-policy/stores/admin-submission-policy.state";
import {
  AdminUserState,
  AdminUserStateModel,
} from "@admin/user/stores/admin-user.state";
import {Injectable} from "@angular/core";
import {
  State,
  Store,
} from "@ngxs/store";
import {StateEnum} from "@shared/enums/state.enum";
import {BaseStateModel} from "solidify-frontend";

export interface AdminStateModel extends BaseStateModel {
  [StateEnum.admin_submissionPolicy]: AdminSubmissionPolicyStateModel;
  [StateEnum.admin_preservationPolicy]: AdminPreservationPolicyStateModel;
  [StateEnum.admin_license]: AdminLicenseStateModel;
  [StateEnum.admin_organizationalUnit]: AdminOrganizationalUnitStateModel;
  [StateEnum.admin_institution]: AdminInstitutionStateModel;
  [StateEnum.admin_researchDomain]: AdminResearchDomainStateModel;
  [StateEnum.admin_user]: AdminUserStateModel;
  [StateEnum.admin_oaiSet]: AdminOaiSetStateModel;
  [StateEnum.admin_oauth2Client]: AdminOAuth2ClientStateModel;
  [StateEnum.admin_person]: AdminPersonStateModel;
  [StateEnum.admin_role]: AdminRoleStateModel;
  [StateEnum.admin_fundingAgencies]: AdminFundingAgenciesStateModel;
  [StateEnum.admin_indexFieldAlias]: AdminIndexFieldAliasStateModel;
  [StateEnum.admin_archiveAcl]: AdminIndexFieldAliasStateModel;
  [StateEnum.admin_disseminationPolicy]: AdminDisseminationPolicyStateModel;
  [StateEnum.admin_language]: AdminLanguageStateModel;
  [StateEnum.admin_metadataType]: AdminMetadataTypeStateModel;
  [StateEnum.admin_notification]: AdminNotificationStateModel;
}

@Injectable()
@State<AdminStateModel>({
  name: StateEnum.admin,
  defaults: {
    isLoadingCounter: 0,
    [StateEnum.admin_submissionPolicy]: null,
    [StateEnum.admin_preservationPolicy]: null,
    [StateEnum.admin_license]: null,
    [StateEnum.admin_organizationalUnit]: null,
    [StateEnum.admin_institution]: null,
    [StateEnum.admin_researchDomain]: null,
    [StateEnum.admin_user]: null,
    [StateEnum.admin_oaiSet]: null,
    [StateEnum.admin_oauth2Client]: null,
    [StateEnum.admin_person]: null,
    [StateEnum.admin_role]: null,
    [StateEnum.admin_fundingAgencies]: null,
    [StateEnum.admin_indexFieldAlias]: null,
    [StateEnum.admin_archiveAcl]: null,
    [StateEnum.admin_disseminationPolicy]: null,
    [StateEnum.admin_language]: null,
    [StateEnum.admin_metadataType]: null,
    [StateEnum.admin_notification]: null,
  },
  children: [
    AdminSubmissionPolicyState,
    AdminPreservationPolicyState,
    AdminLicenseState,
    AdminOrganizationalUnitState,
    AdminInstitutionState,
    AdminResearchDomainState,
    AdminUserState,
    AdminOaiSetState,
    AdminOAuth2ClientState,
    AdminPersonState,
    AdminRoleState,
    AdminFundingAgenciesState,
    AdminIndexFieldAliasState,
    AdminArchiveAclState,
    AdminDisseminationPolicyState,
    AdminLanguageState,
    AdminMetadataTypeState,
    AdminNotificationState,
  ],
})
export class AdminState {
  constructor(protected store: Store) {
  }
}
