import {LabelTranslateEnum} from "@shared/enums/label-translate.enum";
import {
  LabelTranslateInterface,
  MARK_AS_TRANSLATABLE,
} from "solidify-frontend";

export const labelTranslateSolidify: LabelTranslateInterface = {
  additionalInformation: LabelTranslateEnum.additionalInformation,
  accessToken: LabelTranslateEnum.accessToken,
  all: LabelTranslateEnum.all,
  alreadyUsed: MARK_AS_TRANSLATABLE("form.error.alreadyUsed"),
  appBackToOnline: MARK_AS_TRANSLATABLE("app.status.backToOnline"),
  appOffline: MARK_AS_TRANSLATABLE("app.status.offline"),
  backToList: LabelTranslateEnum.backToList,
  breadcrumbHome: LabelTranslateEnum.home,
  cancel: LabelTranslateEnum.cancel,
  changeTime: LabelTranslateEnum.changeTime,
  create: LabelTranslateEnum.create,
  created: LabelTranslateEnum.created,
  createdBy: LabelTranslateEnum.createdBy,
  delete: LabelTranslateEnum.delete,
  deleteDialogConfirmDeleteAction: LabelTranslateEnum.confirmDeleteAction,
  description: LabelTranslateEnum.description,
  edit: LabelTranslateEnum.edit,
  exitEditMode: LabelTranslateEnum.exitEditMode,
  fileDownloadFail: LabelTranslateEnum.fileDownloadFail,
  fileDownloadForbidden: LabelTranslateEnum.fileDownloadForbidden,
  fileDownloadStart: LabelTranslateEnum.fileDownloadStart,
  fileDownloadedSuccessfully: LabelTranslateEnum.fileDownloadedSuccessfully,
  firstLoginClose: LabelTranslateEnum.close,
  firstLoginContent: MARK_AS_TRANSLATABLE("tour.main.menuAvatar.content"),
  firstLoginNext: LabelTranslateEnum.next,
  firstLoginTitle: MARK_AS_TRANSLATABLE("tour.main.menuAvatar.title"),
  keywordInputLabel: LabelTranslateEnum.keywords,
  languageSelectorSelectLanguage: LabelTranslateEnum.selectLanguage,
  maintenanceInProgress: LabelTranslateEnum.maintenanceInProgress,
  notificationBackendUnavailable: MARK_AS_TRANSLATABLE("error.notification.backendUnavailable"),
  notificationUnsavedChanges: MARK_AS_TRANSLATABLE("notification.unsavedChanges"),
  paginatorFirstPage: MARK_AS_TRANSLATABLE("table.paginator.firstPage"),
  paginatorItemPerPage: MARK_AS_TRANSLATABLE("table.paginator.itemPerPage"),
  paginatorLastPage: MARK_AS_TRANSLATABLE("table.paginator.lastPage"),
  paginatorNextPage: MARK_AS_TRANSLATABLE("table.paginator.nextPage"),
  paginatorOfLabel: MARK_AS_TRANSLATABLE("table.paginator.ofLabel"),
  paginatorPreviousPage: MARK_AS_TRANSLATABLE("table.paginator.previousPage"),
  reviews: LabelTranslateEnum.reviews,
  save: LabelTranslateEnum.save,
  serverOffline: LabelTranslateEnum.serverOffline,
  showHistoryStatus: LabelTranslateEnum.showHistoryStatus,
  status: LabelTranslateEnum.status,
  statusHistoryDialogTitle: MARK_AS_TRANSLATABLE("app.history.title"),
  tokenDialogCopyToClipboard: LabelTranslateEnum.copyToClipboard,
  tokenDialogTitle: LabelTranslateEnum.accessToken,
  tokenDialogTokenCopiedToClipboardFail: MARK_AS_TRANSLATABLE("app.notification.tokenCopiedToClipboardFail"),
  tokenDialogTokenCopiedToClipboardSuccess: MARK_AS_TRANSLATABLE("app.notification.tokenCopiedToClipboardSuccess"),
  tourClose: LabelTranslateEnum.close,
  updateVersionDialogBody: MARK_AS_TRANSLATABLE("app.updateVersion.body"),
  updateVersionDialogTitle: MARK_AS_TRANSLATABLE("app.updateVersion.title"),
  updateVersionDialogUpdateAfter: MARK_AS_TRANSLATABLE("app.updateVersion.button.updateAfter"),
  updateVersionDialogUpdateNow: LabelTranslateEnum.yes,
  updated: LabelTranslateEnum.updated,
  updatedBy: LabelTranslateEnum.updatedBy,
  yes: LabelTranslateEnum.yes,
  youAreInEditMode: LabelTranslateEnum.youAreInEditMode,
  close: LabelTranslateEnum.close,
  copyIdToClipboard: LabelTranslateEnum.copyIdToClipboard,
  dataTableAllElementSearchedSelected: LabelTranslateEnum.dataTableAllElementSearchedSelected,
  dataTableCleanAllFilter: LabelTranslateEnum.dataTableCleanAllFilter,
  dataTableClearSelection: LabelTranslateEnum.dataTableClearSelection,
  dataTableCurrentPageElementSelected: LabelTranslateEnum.dataTableCurrentPageElementSelected,
  dataTableDialogLooseSelectionBody: LabelTranslateEnum.dataTableDialogLooseSelectionBody,
  dataTableDialogLooseSelectionTitle: LabelTranslateEnum.dataTableDialogLooseSelectionTitle,
  dataTableNotificationOnlyTheMaximalAmountAreSelected: LabelTranslateEnum.dataTableNotificationOnlyTheMaximalAmountAreSelected,
  dataTableNoData: LabelTranslateEnum.dataTableNoData,
  dataTableSelectAllElement: LabelTranslateEnum.dataTableSelectAllElement,
  lastSelection: LabelTranslateEnum.lastSelection,
  moreOptions: LabelTranslateEnum.moreOptions,
  multiSelectNoDataToSelect: LabelTranslateEnum.multiSelectNoDataToSelect,
  multiSelectNotificationExtraInfoCopyToClipboard: LabelTranslateEnum.multiSelectNotificationExtraInfoCopyToClipboard,
  multiSelectPlaceholder: LabelTranslateEnum.multiSelectPlaceholder,
  multiSelectDefaultValue: LabelTranslateEnum.multiSelectDefaultValue,
  notificationHttpForbiddenToTranslate: LabelTranslateEnum.notificationHttpForbidden,
  notificationHttpInternalErrorToTranslate: LabelTranslateEnum.notificationHttpInternalError,
  notificationHttpInvalidTokenToTranslate: LabelTranslateEnum.notificationHttpInvalidToken,
  notificationHttpNotFoundToTranslate: LabelTranslateEnum.notificationHttpNotFound,
  notificationHttpOfflineToTranslate: LabelTranslateEnum.notificationHttpOffline,
  notificationHttpUnauthorizedToTranslate: LabelTranslateEnum.notificationHttpUnauthorized,
  notificationIdCopyToClipboard: LabelTranslateEnum.notificationIdCopyToClipboard,
  objectNotFound: LabelTranslateEnum.objectNotFound,
  refresh: LabelTranslateEnum.refresh,
  search: LabelTranslateEnum.search,
  urlInputLabel: LabelTranslateEnum.url,
  validationErrorInvalidToTranslate: LabelTranslateEnum.validationErrorInvalid,
  validationErrorRequiredToTranslate: LabelTranslateEnum.validationErrorRequired,
  yesImSure: LabelTranslateEnum.yesImSure,
  detail: LabelTranslateEnum.detail,
  user: LabelTranslateEnum.user,
  identification: LabelTranslateEnum.identification,
  clientId: LabelTranslateEnum.clientId,
  expiration: LabelTranslateEnum.expiration,
  scope: LabelTranslateEnum.scope,
  mostCommonValues: LabelTranslateEnum.mostCommonValues,
  characters: LabelTranslateEnum.characters,
  separatorCharacterDetected: LabelTranslateEnum.separatorCharacterDetected,
  theFollowingPastedValue: LabelTranslateEnum.theFollowingPastedValue,
  includesSeparatorCharacters: LabelTranslateEnum.includesSeparatorCharacters,
  wouldYouLikeToSeparateTheEnteredValueUsingTheFollowingSeparator: LabelTranslateEnum.wouldYouLikeToSeparateTheEnteredValueUsingTheFollowingSeparator,
  space: LabelTranslateEnum.space,
  lineBreak: LabelTranslateEnum.lineBreak,
  doNotSeparate: LabelTranslateEnum.doNotSeparate,
  separate: LabelTranslateEnum.separate,
  notificationUploadInProgress: LabelTranslateEnum.notificationUploadInProgress,
  notificationUploadCancelled: LabelTranslateEnum.notificationUploadCancelled,
  notificationUploadSuccess: LabelTranslateEnum.notificationUploadSuccess,
  notificationUploadFail: LabelTranslateEnum.notificationUploadFail,
  notificationUploadErrorDuplicateFileFail: LabelTranslateEnum.notificationUploadErrorDuplicateFileFail,
  notificationUploadFileSizeLimitXExceeded: LabelTranslateEnum.notificationUploadFileSizeLimitXExceeded,
  semicolon: LabelTranslateEnum.semicolon,
  underscore: LabelTranslateEnum.underscore,
  dash: LabelTranslateEnum.dash,
  notificationPreviewDownloadFail: LabelTranslateEnum.notificationPreviewDownloadFail,
  notificationPreviewFileNotSupported: LabelTranslateEnum.notificationPreviewFileNotSupported,
  notificationPreviewFileContentTypeNotSupported: LabelTranslateEnum.notificationPreviewFileContentTypeNotSupported,
  notificationPreviewFileTooBig: LabelTranslateEnum.notificationPreviewFileTooBig,
  previewDialogTitle: LabelTranslateEnum.previewDialogTitle,
  zoomOut: LabelTranslateEnum.zoomOut,
  zoomVal: LabelTranslateEnum.zoomVal,
  zoomIn: LabelTranslateEnum.zoomIn,
  unaccessibleTab: LabelTranslateEnum.unaccessibleTab,
};
