import {
  ChangeDetectionStrategy,
  Component,
  Input,
  OnInit,
  Type,
} from "@angular/core";
import {User} from "@models";
import {SharedAbstractContainer} from "@shared/components/containers/shared-abstract/shared-abstract.container";
import {sharedUserActionNameSpace} from "@shared/stores/user/shared-user.action";
import {SharedUserState} from "@shared/stores/user/shared-user.state";
import {
  BaseResourceType,
  ResourceNameSpace,
  ResourceState,
} from "solidify-frontend";

@Component({
  selector: "dlcm-shared-additional-information-panel-container",
  templateUrl: "./shared-additional-information-panel.container.html",
  styleUrls: ["./shared-additional-information-panel.container.scss"],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class SharedAdditionalInformationPanelContainer extends SharedAbstractContainer implements OnInit {
  state: Type<ResourceState<any, User>> = SharedUserState;
  resourceNameSpace: ResourceNameSpace = sharedUserActionNameSpace;
  correspondingWhoChangeInfoAttributeKey: string = "externalUid";
  actionNameGetUserFromWhoId: string = "GetByExternalUid";

  @Input()
  resource: BaseResourceType;
}
