import {ApiActionNamePartialEnum} from "solidify-frontend";

export enum ApiActionNameExtendEnum {
  LIST_AIP_CONTAINER = "list-aip-containers",
  LIST_ACCESS_TYPE = "list-accesses",
  LIST_DATA_CATEGORY = "list-data-categories",
  LIST_DATA_TYPE = "list-data-types",
  LIST_QUERY_TYPE = "list-query-types",
  LIST_JOB_TYPE = "list-job-types",
  LIST_JOB_RECURRENCE = "list-job-recurrences",
  LIST_OAUTH2_GRANT_TYPE = "list-grant-types",
  LIST_RESEARCH_DOMAIN_SOURCES = "list-sources",
  LIST_STATUS = "list-status",
  LIST_FOLDERS = "list-folders",
  LIST_EXCLUDE_FILES = "list-exclude-files",
  LIST_IGNORE_FILES = "list-ignore-files",

  ARCHIVAL_UNITS = "archivalUnits",
  ARCHIVAL_COLLECTIONS = "archivalCollections",

  ORDER_LIST_BY_USER = "list-for-user",

  REINDEX = "reindex",
  CHECK = "check",
  CHECK_FIXITY = "check-fixity",
  SEARCH_DOI = "search-doi",
  SEARCH_WITH_USER = "search-with-user",
  APPROVE_DISPOSAL = "approve-disposal",
  APPROVE_DISPOSAL_BY_ORGUNIT = "approve-disposal-by-orgunit",
  EXTEND_RETENTION = "extend-retention",

  SELF = "self",
  MODULE = "module",
  PARENT = "parent",
  STATUS = "status",
  DASHBOARD = "dashboard",
  RESOURCES = "resources",
  LIST = "list",
  FILE = "file",
  COUNT = "count",
  PREVIOUS = "previous",
  NEXT = "next",
  CREATE = "new",
  READ = "get",
  UPDATE = "edit",
  DELETE = "remove",
  VALUES = "values",
  SEARCH = "search",
  LASTCREATED = "lastCreated",
  LASTUPDATE = "lastUpdated",
  RANGE = "searchRange",
  SIZE = "size",
  PAGE = "page",
  SORT = "sort",
  CREATION = "creation.when",
  UPDATED = "lastUpdate.when",
  ERROR = "error",
  UL = "upload",
  UL_ARCHIVE = "upload-archive",
  DL = "download",
  HISTORY = "history",
  RESUME = "resume",
  START = "start",
  ALL = "All",
  VIEW = "view",
  SAVE = "save",
  IMPORT = "import",
  IMPORTED = "imported",
  CLOSE = "close",
  DELETE_CACHE = "delete-cache",
  DOWNLOAD_STATUS = "download-status",
  LIST_CURRENT_STATUS = "list-current-status",
  PREPARE_DOWNLOAD = "prepare-download",
  RESERVE_DOI = "reserve-doi",
  DELETE_FOLDER = "delete-folder",
  RESUBMIT = "resubmit",
  PUT_IN_ERROR = "put-in-error",

  LIST_AIP_WITH_STATUS = "list-aip-statuses",
  DL_STATUS = "download-status",
  LIST_DL_STATUS = "list-download-status",

  AUTHORIZE = "authorize",
  TOKEN = "token",
  CHECK_TOKEN = "check_token",
  REVOKE_ALL_TOKENS = "revoke-all-tokens",
  REVOKE_MY_TOKENS = "revoke-my-tokens",
  USER_ID = "externalUid",
  AUTHENTICATED = "authenticated",
  CLEAN = "clean",

  SUBMIT = "submit",
  SUBMIT_FOR_APPROVAL = "submit-for-approval",
  APPROVE = "approve",
  REJECT = "reject",
  ENABLE_REVISION = "enable-revision",
  INIT = "initialize",
  REPORT = "reports",
  DETAIL = "detail",
  VALIDATE = "validate",
  SENT = "sent",
  INBOX = "inbox",
  SET_PROCESSED = "set-processed",
  SET_REFUSED = "set-refused",
  SET_PENDING = "set-pending",

  UPLOAD_LOGO = "upload-logo",
  DOWNLOAD_LOGO = "download-logo",
  DELETE_LOGO = "delete-logo",
  UPLOAD_AVATAR = "upload-avatar",
  DOWNLOAD_AVATAR = "download-avatar",
  DELETE_AVATAR = "delete-avatar",
  UPLOAD_THUMBNAIL = "upload-thumbnail",
  DOWNLOAD_THUMBNAIL = "download-thumbnail",
  DELETE_THUMBNAIL = "delete-thumbnail",
  THUMBNAIL = "thumbnail",
  STATISTICS = "statistics",
  RATING = "ratings",
  RATING_BY_USER = "list-for-user",
  BY_RATING = "by-rating",
  GET_MY_ACLS = "get-my-acls",
}

// tslint:disable-next-line:variable-name
export const ApiActionNameEnum = {...ApiActionNamePartialEnum, ...ApiActionNameExtendEnum} as Omit<typeof ApiActionNamePartialEnum, keyof typeof ApiActionNameExtendEnum> & typeof ApiActionNameExtendEnum;
export type ApiActionNameEnum = typeof ApiActionNameEnum[keyof typeof ApiActionNameEnum];
