import {ApiResourceNamePartialEnum} from "solidify-frontend";

enum ApiResourceNameExtendEnum {
  DEPOSIT = "deposits",
  ORDER = "orders",
  PERSON = "people",
  ORG_UNIT = "organizational-units",
  ADDITIONAL_FIELDS_FORM = "additional-fields-forms",
  CURRENT_VERSION = "current-version",
  AUTHORIZED_ORG_UNIT = "authorized-organizational-units",
  INSTITUTION = "institutions",
  DATAFILE = "data",
  SIP = "sip",
  SIP_FILE = "sip-package",
  AIP = "aip",
  AIP_FILE = "aip-package",
  STORED_AIP = "stored-aip",
  DIP = "dip",
  DI = "di",
  DI_PUBLIC = "public-di",
  DI_PRIVATE = "private-di",
  SETTING = "settings",
  SUBMISSION_AGREEMENT = "submission-agreements",
  PACKAGES = "packages",
  LICENSE = "licenses",
  ROLE = "roles",
  ROLE_APPLICATION = "application-roles",
  FUNDING_AGENCY = "funding-agencies",
  MODULES = "modules",
  ARCHIVE_ACL = "archive-acl",
  INDEX_FIELD_ALIASES = "index-field-aliases",
  USER = "users",
  LANGUAGE = "languages",
  DOWNLOAD_TOKEN = "download-token",
  OAUTH2_CLIENT = "oauth2-clients",
  ORCID = "orcid",
  BASIC_AUTH_CLIENT = "basic-auth-clients",
  LOGIN = "shiblogin",
  ITEM = "items",
  MONITOR = "monitor",
  PRES_JOB = "preservation-jobs",
  PRES_JOB_EXECUTION = "executions",
  PRES_JOB_EXECUTION_REPORT = "reports",
  PRES_POLICY = "preservation-policies",
  SUB_POLICY = "submission-policies",
  DISSEMINATION_POLICY = "dissemination-policies",
  POLICY = "policy",
  DIS_POLICY = "dissemination-policies",
  RESEARCH_DOMAIN = "research-domains",
  METADATA_TYPE = "metadata-types",
  NOTIFICATION = "notifications",
  CONTRIBUTOR = "contributors",
  MODULE = "modules",
  SYSTEM_PROPERTY = "system-properties",

  // Miscellaneous
  SCHEMA = "schema",
  PROFILE = "profile",
  XSL = "xsl",
  RESERVE_DOI = "reserve-doi",
  ARCHIVAL_TYPE = "archivalUnit",
  PUBLIC_METADATA = "metadata",
  PRIVATE_METADATA = "private-metadata",
  ALL_METADATA = "all-metadata",
  ARCHIVE = "archives",

  // OAI
  OAI = "oai",
  OAI_PROVIDER = "oai-provider",
  OAI_SETS = "oai-sets",
}

// tslint:disable-next-line:variable-name
export const ApiResourceNameEnum = {...ApiResourceNamePartialEnum, ...ApiResourceNameExtendEnum} as Omit<typeof ApiResourceNamePartialEnum, keyof typeof ApiResourceNameExtendEnum> & typeof ApiResourceNameExtendEnum;
export type ApiResourceNameEnum = typeof ApiResourceNameEnum[keyof typeof ApiResourceNameEnum];
