import {StatePartialEnum} from "solidify-frontend";

enum StateExtendEnum {
  router = "router",

  application = "application",
  application_toc = "application_toc",
  application_carousel = "application_carousel",
  application_user = "application_user",
  application_banner = "application_banner",
  application_systemProperty = "application_systemProperty",
  application_person = "application_person",
  application_notificationInbox = "application_notificationInbox",
  application_authorizedOrganizationalUnit = "application_authorizedOrganizationalUnit",
  application_organizationalUnit_personRole = "application_organizationalUnit_personRole",
  application_cart = "application_cart",
  application_cart_archive = "application_cart_archive",
  application_cart_order = "application_cart_order",
  application_cart_dip = "application_cart_dip",
  application_cart_dip_dataFile = "application_cart_dip_dataFile",
  application_archiveAcl = "application_archiveAcl",

  home = "home",
  home_organizationalUnit = "home_organizationalUnit",
  home_archive_dataFile = "home_archive_dataFile",
  home_archive_collection = "home_archive_collection",
  home_archive_package = "home_archive_package",
  home_archive_rating = "home_archive_rating",

  deposit = "deposit",
  deposit_upload = "deposit_upload",
  deposit_person = "deposit_person",
  deposit_organizationalUnit = "deposit_organizationalUnit",
  deposit_organizationalUnit_additionalFieldsForm = "deposit_organizationalUnit_additionalFieldsForm",
  deposit_dataFile = "deposit_dataFile",
  deposit_dataFile_metadataType = "deposit_dataFile_metadataType",
  deposit_collection = "deposit_collection",
  deposit_collection_statusHistory = "deposit_collection_statusHistory",
  deposit_statusHistory = "deposit_statusHistory",
  deposit_dataFile_statusHistory = "deposit_dataFile_statusHistory",
  deposit_aip = "deposit_aip",
  deposit_authorizedOrganizationalUnit = "deposit_authorizedOrganizationalUnit",

  preservationSpace = "preservationSpace",
  preservationSpace_contributor = "preservationSpace_contributor",
  preservationSpace_contributor_deposit = "preservationSpace_contributor_deposit",
  preservationSpace_notification = "preservationSpace_notification",
  preservationSpace_notification_statusHistory = "preservationSpace_notification_statusHistory",
  preservationSpace_organizationalUnit = "preservationSpace_organizationalUnit",
  preservationSpace_organizationalUnit_personRole = "preservationSpace_organizationalUnit_personRole",
  preservationSpace_organizationalUnit_archiveAcl = "preservationSpace_organizationalUnit_archiveAcl",
  preservationSpace_organizationalUnit_submissionPolicy = "preservationSpace_organizationalUnit_submissionPolicy",
  preservationSpace_organizationalUnit_preservationPolicy = "preservationSpace_organizationalUnit_preservationPolicy",
  preservationSpace_organizationalUnit_disseminationPolicy = "preservationSpace_organizationalUnit_disseminationPolicy",
  preservationSpace_organizationalUnit_institution = "preservationSpace_organizationalUnit_institution",

  order = "order",
  order_allOrder = "order_allOrder",
  order_allOrder_statusHistory = "order_allOrder_statusHistory",
  order_allOrder_aip = "order_allOrder_aip",
  order_allOrder_dip = "order_allOrder_dip",
  order_allOrder_orderArchive = "order_allOrder_orderArchive",

  order_myOrder = "order_myOrder",
  order_myOrder_statusHistory = "order_myOrder_statusHistory",
  order_myOrder_aip = "order_myOrder_aip",
  order_myOrder_dip = "order_myOrder_dip",

  shared = "shared",
  shared_archive = "shared_archive",
  shared_archiveAcl = "shared_archiveAcl",
  shared_language = "shared_language",
  shared_notification = "shared_notification",
  shared_license = "shared_license",
  shared_deposit = "shared_deposit",
  shared_role = "shared_role",
  shared_user = "shared_user",
  shared_contributor = "shared_contributor",
  shared_order = "shared_order",
  shared_oauth2Client = "shared_oauth2Client",
  shared_oaiSet = "shared_oaiSet",
  shared_metadataType = "shared_metadataType",
  shared_institution = "shared_institution",
  shared_fundingAgency = "shared_fundingAgency",
  shared_indexFieldAlias = "shared_indexFieldAlias",
  shared_person = "shared_person",
  shared_organizationalUnit = "shared_organizationalUnit",
  shared_preservationPolicy = "shared_preservationPolicy",
  shared_submissionPolicy = "shared_submissionPolicy",
  shared_dissemination_policy = "shared_disseminationPolicy",
  shared_researchDomain = "shared_researchDomain",
  shared_organizationalUnit_submissionPolicy = "shared_organizationalUnit_submissionPolicy",
  shared_organizationalUnit_preservationPolicy = "shared_organizationalUnit_preservationPolicy",
  shared_organizationalUnit_disseminationPolicy = "shared_organizationalUnit_disseminationPolicy",
  shared_aip = "shared_aip",
  shared_aip_organizationalUnit = "shared_aip_organizationalUnit",
  shared_aip_statusHistory = "shared_aip_statusHistory",
  shared_aip_collection = "shared_aip_collection",
  shared_aip_collection_statusHistory = "shared_aip_collection_statusHistory",
  shared_aip_dataFile = "shared_aip_dataFile",
  shared_aip_dataFile_statusHistory = "shared_aip_dataFile_statusHistory",

  admin = "admin",
  admin_oauth2Client = "admin_oauth2Client",
  admin_preservationPolicy = "admin_preservationPolicy",
  admin_submissionPolicy = "admin_submissionPolicy",
  admin_disseminationPolicy = "admin_disseminationPolicy",
  admin_license = "admin_license",
  admin_oaiSet = "admin_oaiSet",
  admin_oaiSet_organizationalUnit = "admin_oaiSet_organizationalUnit",
  admin_organizationalUnit = "admin_organizationalUnit",
  admin_organizationalUnit_submissionPolicy = "admin_organizationalUnit_submissionPolicy",
  admin_organizationalUnit_preservationPolicy = "admin_organizationalUnit_preservationPolicy",
  admin_organizationalUnit_disseminationPolicy = "admin_organizationalUnit_disseminationPolicy",
  admin_organizationalUnit_personRole = "admin_organizationalUnit_personRole",
  admin_organizationalUnit_fundingAgency = "admin_organizationalUnit_fundingAgency",
  admin_organizationalUnit_institution = "admin_organizationalUnit_institution",
  admin_organizationalUnit_additionalFieldsForm = "admin_organizationalUnit_additionalFieldsForm",
  admin_fundingAgencies_organizationalUnit = "admin_fundingAgencies_organizationalUnit",
  admin_institution = "admin_institution",
  admin_researchDomain = "admin_researchDomain",
  admin_user = "admin_user",
  admin_person = "admin_person",
  admin_person_organizationalUnitRole = "admin_person_organizationalUnitRole",
  admin_person_institutions = "admin_person_institutions",
  admin_person_organizationalUnit = "admin_person_organizational_unit",
  admin_role = "admin_role",
  admin_notification = "admin_notification",
  admin_notification_statusHistory = "admin_notification_statusHistory",
  admin_fundingAgencies = "admin_fundingAgencies",
  admin_indexFieldAlias = "admin_indexFieldAlias",
  admin_archiveAcl = "admin_archiveAcl",
  admin_language = "admin_language",
  admin_metadataType = "admin_metadataType",

  preservationPlanning = "preservationPlanning",
  preservationPlanning_monitoring = "preservationPlanning_monitoring",
  preservationPlanning_monitoring_webService = "preservationPlanning_monitoring_webService",
  preservationPlanning_aipStatus = "preservationPlanning_aipStatus",
  preservationPlanning_job = "preservationPlanning_job",
  preservationPlanning_job_execution = "preservationPlanning_job_execution",
  preservationPlanning_job_execution_report = "preservationPlanning_job_execution_report",
  preservationPlanning_job_execution_report_statusHistory = "preservationPlanning_job_execution_report_statusHistory",

  preservationPlanning_aipDownloaded = "preservationPlanning_aipDownloaded",

  preservationPlanning_sip = "preservationPlanning_sip",
  preservationPlanning_sip_statusHistory = "preservationPlanning_sip_statusHistory",
  preservationPlanning_sip_dataFile = "preservationPlanning_sip_dataFile",
  preservationPlanning_sip_dataFile_statusHistory = "preservationPlanning_sip_dataFile_statusHistory",
  preservationPlanning_sip_collection = "preservationPlanning_sip_collection",
  preservationPlanning_sip_collection_statusHistory = "preservationPlanning_sip_collection_statusHistory",

  preservationPlanning_dip = "preservationPlanning_dip",
  preservationPlanning_dip_statusHistory = "preservationPlanning_dip_statusHistory",
  preservationPlanning_dip_dataFile = "preservationPlanning_dip_dataFile",
  preservationPlanning_dip_dataFile_statusHistory = "preservationPlanning_dip_dataFile_statusHistory",
  preservationPlanning_dip_aip = "preservationPlanning_dip_aip",
  preservationPlanning_deposit = "preservationPlanning_deposit",
}

// tslint:disable-next-line:variable-name
export const StateEnum = {...StatePartialEnum, ...StateExtendEnum} as Omit<typeof StatePartialEnum, keyof typeof StateExtendEnum> & typeof StateExtendEnum;
export type StateEnum = typeof StateEnum[keyof typeof StateEnum];
