import {OrganizationalUnitDisseminationPolicy} from "@admin/models/organizational-unit-dissemination-policy.model";
import {DisseminationPolicy} from "@models";
import {StateEnum} from "@shared/enums/state.enum";
import {
  Relation2TiersAction,
  Relation2TiersNameSpace,
  TypeDefaultAction,
} from "solidify-frontend";

const state = StateEnum.shared_organizationalUnit_disseminationPolicy;

export namespace SharedOrgUnitDisseminationPolicyAction {

  @TypeDefaultAction(state)
  export class GetAll extends Relation2TiersAction.GetAll {
  }

  @TypeDefaultAction(state)
  export class GetAllSuccess extends Relation2TiersAction.GetAllSuccess<DisseminationPolicy> {
  }

  @TypeDefaultAction(state)
  export class GetAllFail extends Relation2TiersAction.GetAllFail {
  }

  @TypeDefaultAction(state)
  export class GetById extends Relation2TiersAction.GetById {
  }

  @TypeDefaultAction(state)
  export class GetByIdSuccess extends Relation2TiersAction.GetByIdSuccess<DisseminationPolicy> {
  }

  @TypeDefaultAction(state)
  export class GetByIdFail extends Relation2TiersAction.GetByIdFail {
  }

  @TypeDefaultAction(state)
  export class Update extends Relation2TiersAction.Update {
  }

  @TypeDefaultAction(state)
  export class UpdateSuccess extends Relation2TiersAction.UpdateSuccess {
  }

  @TypeDefaultAction(state)
  export class UpdateFail extends Relation2TiersAction.UpdateFail {
  }

  @TypeDefaultAction(state)
  export class UpdateRelation extends Relation2TiersAction.UpdateRelation<OrganizationalUnitDisseminationPolicy> {
  }

  @TypeDefaultAction(state)
  export class UpdateRelationSuccess extends Relation2TiersAction.UpdateRelationSuccess<OrganizationalUnitDisseminationPolicy> {
  }

  @TypeDefaultAction(state)
  export class UpdateRelationFail extends Relation2TiersAction.UpdateRelationFail<OrganizationalUnitDisseminationPolicy> {
  }

  @TypeDefaultAction(state)
  export class Create extends Relation2TiersAction.Create {
  }

  @TypeDefaultAction(state)
  export class CreateSuccess extends Relation2TiersAction.CreateSuccess {
  }

  @TypeDefaultAction(state)
  export class CreateFail extends Relation2TiersAction.CreateFail {
  }

  @TypeDefaultAction(state)
  export class DeleteList extends Relation2TiersAction.DeleteList {
  }

  @TypeDefaultAction(state)
  export class DeleteListSuccess extends Relation2TiersAction.DeleteListSuccess {
  }

  @TypeDefaultAction(state)
  export class DeleteListFail extends Relation2TiersAction.DeleteListFail {
  }

  @TypeDefaultAction(state)
  export class Delete extends Relation2TiersAction.Delete {
  }

  @TypeDefaultAction(state)
  export class DeleteSuccess extends Relation2TiersAction.DeleteSuccess {
  }

  @TypeDefaultAction(state)
  export class DeleteFail extends Relation2TiersAction.DeleteFail {
  }

  export class Clear {
    static readonly type: string = `[${state}] Clear`;

    constructor() {
    }
  }
}

export const sharedOrgUnitDisseminationPolicyActionNameSpace: Relation2TiersNameSpace = SharedOrgUnitDisseminationPolicyAction;
