import {GetShortDoiWrapper} from "@shared/components/presentationals/shared-doi-menu/shared-doi-menu.presentational";
import {
  BaseAction,
  BaseSubAction,
  SolidifyAppAction,
} from "solidify-frontend";
import {StateEnum} from "../shared/enums/state.enum";

const state = StateEnum.application;

export namespace AppExtendAction {
  export class LoadCart extends BaseAction {
    static readonly type: string = `[${state}] Load Cart`;
  }

  export class StartPollingOrder extends BaseAction {
    static readonly type: string = `[${state}] Start Polling Order`;
  }

  export class StartPollingNotification extends BaseAction {
    static readonly type: string = `[${state}] Start Polling Notification`;
  }

  export class UpdateNotificationInbox {
    static readonly type: string = `[${state}] Update Notification Inbox`;
  }

  export class InitiateNewLogin extends BaseAction {
    static readonly type: string = `[${state}] Initiate New Login`;
  }

  export class GetShortDoi extends BaseAction {
    static readonly type: string = `[${state}] Get Short DOI`;

    constructor(public doiWrapper: GetShortDoiWrapper) {
      super();
    }
  }

  export class GetShortDoiSuccess extends BaseSubAction<GetShortDoi> {
    static readonly type: string = `[${state}] Get Short DOI Success`;

    constructor(public parent: GetShortDoi, public shortDoi: string) {
      super(parent);
    }
  }

  export class GetShortDoiFail extends BaseSubAction<GetShortDoi> {
    static readonly type: string = `[${state}] Get Short DOI Fail`;

    constructor(public parent: GetShortDoi) {
      super(parent);
    }
  }

  export class DisplayCookieConsent extends BaseAction {
    static readonly type: string = `[${state}] Display Cookie Consent`;

    constructor(public display: boolean) {
      super();
    }
  }
}

export const appActionNameSpace: (typeof SolidifyAppAction & typeof AppExtendAction) = {...SolidifyAppAction, ...AppExtendAction};
